Retrieve Aggregations
curl --request GET \
--url https://api.traxes.io/connect/v1/entities/{entityId}/aggregations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.traxes.io/connect/v1/entities/{entityId}/aggregations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.traxes.io/connect/v1/entities/{entityId}/aggregations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"data": {
"negativeActiveEnergy": {
"total": 123,
"unit": "<string>",
"t1": 123,
"t2": 123,
"t3": 123,
"t4": 123
},
"negativeGasVolume": {
"unit": "<string>",
"value": 123
},
"positiveActiveEnergy": {
"total": 123,
"unit": "<string>",
"t1": 123,
"t2": 123,
"t3": 123,
"t4": 123
},
"positiveGasVolume": {
"unit": "<string>",
"value": 123
}
},
"entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timeframe": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
}
],
"links": {
"next": "<string>"
},
"meta": {
"continuationToken": "<string>",
"pageSize": 123
}
}{
"errors": [
{
"code": "<string>",
"description": "<string>",
"message": "<string>"
}
]
}Aggregations
Generate aggregations for an Entity
Returns a page of raw data Aggregations, statistically averaged over a specified resolution and time period, with optional filtering
GET
/
v1
/
entities
/
{entityId}
/
aggregations
Retrieve Aggregations
Authorizations
Access Token Authentication
Path Parameters
The id of the Entity
Query Parameters
The start of the overall time frame
The granularity or level of detail at which data points are combined or summarized. It determines the size of the time intervals over which data is aggregated.
Provided as a time interval.
Valid examples: '15 minutes', '30 minutes', '1 hour(s)', '2 day(s)', '2 weeks', '5 years'
Invalid examples: '1 month 3 days', '2 month 3 weeks'
Intervals are aligned
- to midnight on January 3, 2000, for intervals that don't include a month or year
- to midnight on January 1, 2000, for month, year intervals
The end of the overall time frame
The number of Aggregations per page
The token used to retrieve the next page
Was this page helpful?
⌘I